/**
 * Fonction qui nous split la value dédiée au onChange
 * @return value separated 
 */
export function separateurMilier(id)
{
    var nombre = $(id).val();
    
    nombre = nombre.replace(new RegExp(' ', 'g'),'');
    
    nombre += '';
    var sep = ' ';
    var reg = /(\d+)(\d{3})/;
    while( reg.test( nombre)) {
        nombre = nombre.replace( reg, '$1' +sep +'$2');
    }
    
    if (nombre.includes('.')) {
        var splitNbr = nombre.split('.');
        splitNbr[1] = splitNbr[1].replace(' ', '');
        
        nombre = splitNbr[0]+'.'+splitNbr[1];
    }
    
    $(id).val(nombre);
}

export function formatNombre(nombre, separateur){
    nombre += '';
    var valeur = nombre.replace(',','.').split('.');
    valeur[0] = valeur[0] || '0';
    valeur[1] = valeur[1] || '00';
    var reg = /(\d+)(\d{3})/;
    while( reg.test( valeur[0])) {
        valeur[0] = valeur[0].replace( reg, '$1' + separateur +'$2');
    }
    return valeur.join('.');
}

export function strBuild() {
    // TODO 
    // .replace('@1@', Math.ceil(fileSizeMax / 1000000)/* Convert byte to Mb */);
    
}

/**
 * Fonction qui formate la date en fonction du parametrage
 * @returns date formaté
 */
export function formatDate(input, format)
{
    var date = $(input).val();
    date = date.replace(new RegExp('/', 'g'),'');
    date = date.replace(/-/g,'');
    
    if(date=='') {
        $(input).val();
        return;
    }
    // TODO : simplify
    switch (format) {
        case 'jj/mm/aaaa':
            date = [
                date.substr(0, 2), // jj
                date.substr(2, 2), // mm
                date.substr(4, 4), // aaaa
            ].join('/');
            break;
        case 'mm/jj/aaaa':
            date = [
                date.substr(0, 2), // mm
                date.substr(2, 2), // jj
                date.substr(4, 4), // aaaa
            ].join('/');
            break;
        case 'aa-mm-jj':
            date = [
                date.substr(0, 2), // aa
                date.substr(2, 2), // mm
                date.substr(4, 2), // jj
            ].join('-');
            break;
        case 'aaaa-mm-jj':
            date = [
                date.substr(0, 4), // aaaa
                date.substr(4, 2), // mm
                date.substr(6, 2), // jj
            ].join('-');
            break;
        case 'aaaa/mm/jj':
            date = [
                date.substr(0, 4), // aaaa
                date.substr(4, 2), // mm
                date.substr(6, 2), // jj
            ].join('/');
            break;
    }
        
    $(input).val(date);
}